#include <fcntl.h>
#include <dirent.h>

#include "level.h"

int main(int argc, char *argv[])
{
    Level* level = NULL;
    gint fd;

    if(argc < 2)
    {
	printf("Usage: atomix2xml <old-file-name> <xml-file-name>\n");

	return 1;
    }

    printf("Open %s for reading ...\n", argv[1]);
    fd = open (argv[1] ,O_RDONLY);

    if(fd==-1) 
    {
	g_print("Level not found!\n");
	return 1;
    }

    else
    {
	level = level_new();
	if(!level_parse_level(fd, level))
	{
	    g_print("This is not a valid AtomiX level!\n");
	    level_destroy(level);
	    level = NULL;
	    close(fd);
	    return 1;
	}
	
	printf("Open %s for writing ...\n", argv[2]);
	level_save_xml(level, argv[2]);
    }

    close(fd);
    
    return 0;
}
